Loading...
Searching...
No Matches
seqan3::invalid_char_assignment Struct Reference
Alphabet

An exception typically thrown by seqan3::alphabet::assign_char_strict. More...

`#include <seqan3/alphabet/exception.hpp>`

Inheritance diagram for seqan3::invalid_char_assignment:
[legend]

## Public Member Functions

| invalid_char_assignment (std::string const &type_name, char const wrong_char)
template<std::convertible_to< char > char_t>
| invalid_char_assignment (std::string const &type_name, char_t const wrong_char)
| invalid_char_assignment (std::string const &type_name, std::string const &wrong_char)
| Constructor that takes the type name and the failed character as arguments.
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)

## Detailed Description

An exception typically thrown by seqan3::alphabet::assign_char_strict.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## Constructor & Destructor Documentation

## invalid_char_assignment() [1/3]

seqan3::invalid_char_assignment::invalid_char_assignment | ( | std::string const & | type_name,
|  | std::string const & | wrong_char )

inline

Constructor that takes the type name and the failed character as arguments.

This entity is not part of the SeqAn API. Do not rely on it in your applications.

## invalid_char_assignment() [2/3]

seqan3::invalid_char_assignment::invalid_char_assignment | ( | std::string const & | type_name,
|  | char const | wrong_char )

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

This entity is not part of the SeqAn API. Do not rely on it in your applications.

## invalid_char_assignment() [3/3]

template<std::convertible_to< char > char_t>

seqan3::invalid_char_assignment::invalid_char_assignment | ( | std::string const & | type_name,
|  | char_t const | wrong_char )

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

This entity is not part of the SeqAn API. Do not rely on it in your applications.

The documentation for this struct was generated from the following file:

- alphabet/exception.hpp

Hide me